From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/statsmodels/
Date: Fri, 4 Oct 2024 03:12:30 +0000 (UTC) [thread overview]
Message-ID: <1728011540.c7d4114383a3f9ac4c8a764853b1739ccdab7d1b.mgorny@gentoo> (raw)
commit: c7d4114383a3f9ac4c8a764853b1739ccdab7d1b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 4 02:45:09 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 4 03:12:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7d41143
dev-python/statsmodels: Bump to 0.14.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/statsmodels/Manifest | 1 +
dev-python/statsmodels/statsmodels-0.14.4.ebuild | 80 ++++++++++++++++++++++++
2 files changed, 81 insertions(+)
diff --git a/dev-python/statsmodels/Manifest b/dev-python/statsmodels/Manifest
index 78610660bc56..384d60d1ddfc 100644
--- a/dev-python/statsmodels/Manifest
+++ b/dev-python/statsmodels/Manifest
@@ -1,2 +1,3 @@
DIST statsmodels-0.14.2.tar.gz 20352531 BLAKE2B 65053842ab979b6c2541baddc09f9ade4f55ca988451218b2e4fd2caf7af0e7891eaccf317e9715f35c3d002f8976ea637712173d58db1b5b7822658bdfc79dd SHA512 0a38482bccac61081ff0c8de3b9fcf81689ec15437c53d79a8949df058e0ac8a4e93136a50a37a06577108dc29f1a51e0d00e041ee7e8f9dff93b6e8cf1f0f16
DIST statsmodels-0.14.3.tar.gz 20354488 BLAKE2B 113e90f7091197a5561e311bc033dfc3d9d28732fbcbae4fce13ec58f16db63ec1e25c54e411a8ff04d059f3f2df7c45dc484918235653df4d1f809cc40260af SHA512 c7b8684be83b179edcdbed7703005d054a1f16b9731add69b5079a62e5e858bef87c34e00575580fd48ef80cc9108d405edec9e6a2cf3eb3e5e8f7fed53f8fca
+DIST statsmodels-0.14.4.tar.gz 20354802 BLAKE2B c721c5b2e7b22ad1be10099627230f7344f966a335f37757dc6bb622fedcb1e84a7d708ee25bfdde64357394e059567e41dad19fc5b1daeb3d5ee29e52a3b2af SHA512 db3bd19b8b47af453ad6fbd24449a621895e4237bbc8b7813810306748c32a3fbf005387a0e1e8db550c9c4a59666bdd50aeb49e24f0ecb86619bc90f166f5f9
diff --git a/dev-python/statsmodels/statsmodels-0.14.4.ebuild b/dev-python/statsmodels/statsmodels-0.14.4.ebuild
new file mode 100644
index 000000000000..3b129f1595f7
--- /dev/null
+++ b/dev-python/statsmodels/statsmodels-0.14.4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Statistical computations and models for use with SciPy"
+HOMEPAGE="
+ https://www.statsmodels.org/stable/index.html
+ https://github.com/statsmodels/statsmodels/
+ https://pypi.org/project/statsmodels/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~amd64-linux"
+IUSE="examples"
+
+# NB: upstream requires building with numpy-2 but supports 1.x
+# at runtime
+DEPEND="
+ >=dev-python/numpy-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.8[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ >=dev-python/numpy-1.22.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.4[${PYTHON_USEDEP}]
+ >=dev-python/patsy-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${DEPEND}
+ >=dev-python/cython-3.0.10[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-8[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ 'dev-python/ipykernel' \
+ 'dev-python/jupyter-client' \
+ 'dev-python/matplotlib' \
+ 'dev-python/nbconvert' \
+ 'dev-python/numpydoc'
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ export VARTEXFONTS="${T}"/fonts
+ export MPLCONFIGDIR="${T}"
+ printf -- 'backend : Agg\n' > "${MPLCONFIGDIR}"/matplotlibrc || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest statsmodels
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Plotting functionality" "dev-python/matplotlib"
+}
next reply other threads:[~2024-10-04 3:12 UTC|newest]
Thread overview: 96+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-04 3:12 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-04 9:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/statsmodels/ Michał Górny
2024-10-31 5:00 Michał Górny
2024-10-31 3:28 Sam James
2024-10-19 8:04 Arthur Zamarin
2024-10-10 16:25 Michał Górny
2024-10-10 16:20 Arthur Zamarin
2024-10-05 9:16 Arthur Zamarin
2024-09-17 6:11 Michał Górny
2024-07-10 18:52 Michał Górny
2024-06-06 2:02 Michał Górny
2024-06-06 1:58 Sam James
2024-05-22 8:03 Michał Górny
2024-05-04 9:48 Arthur Zamarin
2024-04-17 13:23 Michał Górny
2024-04-13 16:08 Michał Górny
2024-02-28 19:49 Arthur Zamarin
2024-01-26 21:03 Michał Górny
2024-01-26 21:03 Michał Górny
2024-01-04 11:29 WANG Xuerui
2023-12-30 15:51 Arthur Zamarin
2023-12-30 14:33 Arthur Zamarin
2023-12-30 14:25 Arthur Zamarin
2023-12-25 7:30 Sam James
2023-12-15 8:59 Michał Górny
2023-12-09 17:02 Michał Górny
2023-12-09 17:02 Michał Górny
2023-12-09 16:39 Arthur Zamarin
2023-10-06 14:55 Sam James
2023-08-28 23:04 Sam James
2023-07-27 8:20 Sam James
2023-06-11 18:38 Jakov Smolić
2023-06-11 16:46 Sam James
2023-06-11 13:32 Sam James
2023-06-04 6:09 Joonas Niilola
2023-05-20 7:25 Michał Górny
2023-05-04 16:56 Michał Górny
2022-12-10 14:33 Arthur Zamarin
2022-12-10 14:33 Arthur Zamarin
2022-12-10 9:06 Arthur Zamarin
2022-11-14 15:03 Arthur Zamarin
2022-11-14 15:03 Arthur Zamarin
2022-11-11 12:01 Michał Górny
2022-11-05 17:31 Arthur Zamarin
2022-11-05 5:00 Michał Górny
2022-11-04 10:44 Arthur Zamarin
2022-05-27 15:13 Arthur Zamarin
2022-05-07 20:00 Michał Górny
2022-05-07 17:44 Jakov Smolić
2022-04-25 17:11 Joonas Niilola
2022-03-16 23:53 Sam James
2022-03-15 17:56 Jakov Smolić
2022-03-15 13:31 Jakov Smolić
2022-02-09 9:39 Michał Górny
2022-02-08 20:14 Michał Górny
2022-02-07 11:36 Sam James
2021-12-03 14:20 Arthur Zamarin
2021-11-27 7:09 Arthur Zamarin
2021-11-26 20:45 Arthur Zamarin
2021-11-14 23:51 Sam James
2021-11-13 9:37 Michał Górny
2021-10-24 21:14 Sam James
2021-10-02 23:17 Sam James
2021-10-02 7:50 Michał Górny
2021-10-02 7:50 Michał Górny
2021-09-06 23:42 Sam James
2021-09-06 23:37 Sam James
2021-09-06 0:13 Sam James
2021-08-16 11:46 Marek Szuba
2021-07-03 16:06 Michał Górny
2021-03-17 12:08 Michał Górny
2021-03-17 9:00 Sam James
2021-03-08 23:01 Sam James
2021-02-02 17:23 Michał Górny
2021-02-02 17:23 Michał Górny
2020-12-17 2:37 Sam James
2020-10-29 23:38 Michał Górny
2020-10-13 9:26 Agostino Sarubbo
2020-08-28 7:14 Michał Górny
2020-08-18 5:52 Sam James
2020-08-18 5:28 Sam James
2020-08-07 19:19 Sam James
2020-07-06 14:13 Michał Górny
2020-06-14 21:29 Michał Górny
2020-06-14 20:51 Michał Górny
2020-04-29 7:01 Patrick McLean
2020-03-29 9:50 Michał Górny
2020-03-25 16:12 Agostino Sarubbo
2020-01-17 7:47 Michał Górny
2020-01-05 20:18 Joonas Niilola
2018-11-11 14:07 Justin Lecher
2018-10-01 18:43 Michał Górny
2018-04-29 6:33 Michał Górny
2018-03-16 22:16 Michał Górny
2017-03-12 12:31 Zac Medico
2017-02-27 22:22 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1728011540.c7d4114383a3f9ac4c8a764853b1739ccdab7d1b.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox